Subject: Re: bug#67747: M-RET broken regex error

From: Robert Weiner <[email-masked]>
Date: Sun, 10 Dec 2023 12:15:07 +0000

Please install the latest pre-release of Hyperbole (has many fixes and is
almost a year newer) and restart your Emacs.  Then see if your bug still
exists and re-report it or close this bug.

Install Hyperbole:  (progn (require 'package)
                           (add-to-list 'package-archives
                                        '("elpa-devel" . "
https://elpa.gnu.org/devel/"))
                           (package-install 'hyperbole))

On Sun, Dec 10, 2023 at 11:29 AM Samvid Mistry <[email-masked]>
wrote:

> Hey,
>
> I just installed Hyperbole and was trying to play with it. It seems
> there's something wrong with the regex to match the context. I have a
> simple org file containing only the following content
>
> ```
> * Projects
> ** TODO Some TODO
> ```
>
> As I understand, if I press M-RET with my cursor on TODO keyword, it
> should change states. Regardless, it shouldn't run into an error. I am
> running into the following error.
>
> ```
> Debugger entered--Lisp error: (invalid-regexp "Unmatched ) or \\)")
>
> looking-at("(?:^/\\)\\(\\(?:\\(?:\\(-\\|[[:alnum:]]\\{2,\\}\\)\\(?::\\)\\(...")
>   hpath:remote-at-p()
>   hpath:at-p()
>   ibtypes::pathname()
>   ibut:at-p()
>   hbut:at-p()
>   smart-org(nil)
>   (let ((hrule:action #'actype:identity)) (smart-org current-prefix-arg))
>   (and (not (hyperb:stack-frame '(smart-org))) (let ((hrule:action
> #'actype:identity)) (smart-org current-prefix-arg)))
>   eval((and (not (hyperb:stack-frame '(smart-org))) (let ((hrule:action
> #'actype:identity)) (smart-org current-prefix-arg))))
>   hkey-execute(nil)
>   action-key-internal()
>   action-key()
>   hkey-either(nil)
>   funcall-interactively(hkey-either nil)
>   call-interactively(hkey-either nil nil)
>   command-execute(hkey-either)
> ```
>
> I get the same error while trying to open any of the links in Hyperbole
> Demo.
>
> Specs:
> GNU Emacs 29.1
> MacOS 14.1.2
> Hyperbole 8.0.0
>
> --
> Thanks,
> Samvid
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>